*"表題 数を左よせで文字列化 GTOOL3(GULCHR)
*
*"履歴 90/10/15 沼口  敦
*      92/06/23 沼口  敦      REAL -> INTEGER 基本
*
***********************************************************************
*"         << 数を左よせで文字列化 >>
*********************************************************************
      SUBROUTINE GULCHR
     I         ( HFMT  , IVAL  ,
     O           HCHR  , NCHR   )
*
      CHARACTER  HFMT   *(*)             !" フォーマット
*    (INTEGER)   IVAL                    !" 数データ
      CHARACTER  HCHR   *(*)             !" 文字列
      INTEGER    NCHR                    !" 文字列長
*
      IF ( HFMT(2:2) .EQ. 'I' ) THEN
         WRITE ( HCHR, HFMT ) IVAL
      ELSE
         CALL CHVAL ( HFMT, IVAL, HCHR )
      ENDIF
*
      CALL CLADJ ( HCHR )
      NCHR = LENC( HCHR )
*
      RETURN
      END
